#ifndef APPWINDOW_H
#define APPWINDOW_H
#include <QtGui/QMainWindow>
#include <QtCore/QVariant>
#include <QtGui/QAction>
#include <QtGui/QApplication>
#include <QtGui/QButtonGroup>
#include <QtGui/QHeaderView>
#include <QtGui/QMainWindow>
#include <QtGui/QMenu>
#include <QtGui/QMenuBar>
#include <QtGui/QStatusBar>
#include <QtGui/QWidget>

class Workspace;



class AppWindow:public QMainWindow
{
    Q_OBJECT

public:
    AppWindow(QWidget *parent=0);

private:
    QMenu *fileMenu;
    QMenu *editMenu;
    QToolBar *fileToolBar;
    QToolBar *editToolBar;
    QAction *newAct;
    QAction *openAct;
    QAction *saveAct;
    QAction *saveAsAct;
    QAction *exitAct;


    Workspace *mWorkspace;

private slots:
    void newFile();
    void open();
    bool save();
    bool saveAs();

private:


private:
    void createActions();
    void createMenus();
    void createToolBars();
    void createStatusBar();
    void readSettings();
    void writeSettings();
    bool maybeSave();


};

#endif // APPWINDOW_H
